### File

`packages/core/src/lib/services/errors/http-error-handler.interceptor.ts`

### Index

###### Methods

- intercept

### Constructor

`constructor(config: HttpErrorHandlerConfig, injector: Injector, router: Router)`

Parameters :

Name | Type | Optional
config | `HttpErrorHandlerConfig` | No
injector | `Injector` | No
router | `Router` | No

### Methods

intercept
`intercept(req: HttpRequest<any>, next: HttpHandler)`

Parameters :

Name | Type | Optional
req | `HttpRequest<any>` | No
next | `HttpHandler` | No

Returns : `Observable<HttpEvent<any>>`

# results matching ""

# No results matching ""